# Status Pages

## GET /status-pages

> Get status pages.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageList":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"domain":{"type":"string"},"subdomain":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"faviconUrl":{"type":"string"},"logoUrl":{"type":"string"},"visibility":{"type":"string","enum":["PRIVATE","PUBLIC"]},"hiddenFromSearch":{"type":"boolean"},"showSubscribeAction":{"type":"boolean"},"showIncidentHistoryOption":{"type":"boolean"},"pageTitle":{"type":"string"},"pageDescription":{"type":"string"},"logoRedirectUrl":{"type":"string"},"activated":{"type":"boolean"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"services":{"type":"array","items":{"$ref":"#/components/schemas/ServiceUptimeOnly"}},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/MetricNoIncludes"}},"ipWhitelist":{"type":"array","description":"ipv4 or ipv6 addresses to give access to. Can only be set on 'PRIVATE' status pages","items":{"type":"string"}},"subscribed":{"type":"boolean","description":"This is an include field, it is not available in the list resource","readOnly":true},"announcement":{"type":"string","description":"This is an include field, it is not available in the list resource"},"announcementOnPage":{"type":"boolean","description":"If the announcement should be displayed on the status page"},"announcementInWidget":{"type":"boolean","description":"If the announcement should be displayed in the popup widget"},"audienceSpecific":{"type":"boolean","default":false,"description":"If a private status page should move into audience specific mode"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ServiceUptimeOnly":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"uptime":{"$ref":"#/components/schemas/ServiceUptime"}}},"ServiceUptime":{"type":"object","properties":{"rangeStart":{"type":"string","format":"date-time"},"rangeEnd":{"type":"string","format":"date-time"},"outages":{"type":"array","items":{"$ref":"#/components/schemas/ServiceOutage"}},"uptimePercentage":{"$ref":"#/components/schemas/ServiceUptimePercentage"}}},"ServiceOutage":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ServiceStatus"},"from":{"type":"string","format":"date-time"},"until":{"type":"string","format":"date-time"}}},"ServiceUptimePercentage":{"type":"object","properties":{"uptimePercentage":{"type":"object","properties":{"p90":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p60":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p30":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true}}}}},"MetricNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"aggregationType":{"$ref":"#/components/schemas/MetricAggregationType"},"displayType":{"$ref":"#/components/schemas/MetricDisplayType"},"interpolateGaps":{"type":"boolean","default":false},"lockYAxisMax":{"type":"number","format":"double"},"lockYAxisMin":{"type":"number","format":"double"},"mouseOverDecimal":{"maximum":6,"minimum":0,"type":"number","format":"int32"},"showValuesOnMouseOver":{"type":"boolean","default":false},"unitLabel":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricAggregationType":{"type":"string","enum":["AVG","SUM","MIN","MAX","LAST"]},"MetricDisplayType":{"type":"string","enum":["GRAPH","SINGLE"]}}},"paths":{"/status-pages":{"get":{"tags":["Status Pages"],"summary":"Get status pages.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of status pages.","schema":{"maximum":50,"type":"integer","format":"int32","default":25}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (subscribed)","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["subscribed"]}}}],"responses":{"200":{"description":"The status pages","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StatusPageList"}}}}}}}}}}
```

## POST /status-pages

> Create a new status page.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"domain":{"type":"string"},"subdomain":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"faviconUrl":{"type":"string"},"logoUrl":{"type":"string"},"visibility":{"type":"string","enum":["PRIVATE","PUBLIC"]},"hiddenFromSearch":{"type":"boolean"},"showSubscribeAction":{"type":"boolean"},"showIncidentHistoryOption":{"type":"boolean"},"pageTitle":{"type":"string"},"pageDescription":{"type":"string"},"pageLayout":{"type":"string","enum":["SINGLE_COLUMN","RESPONSIVE"]},"logoRedirectUrl":{"type":"string"},"activated":{"type":"boolean"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"services":{"type":"array","items":{"$ref":"#/components/schemas/ServiceNoIncludes"}},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/MetricNoIncludes"}},"ipWhitelist":{"type":"array","description":"ipv4 or ipv6 addresses to give access to. Can only be set on 'PRIVATE' status pages","items":{"type":"string"}},"structure":{"$ref":"#/components/schemas/StatusPageStructure"},"appearance":{"type":"string","enum":["LIGHT","DARK"]}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"aggregationType":{"$ref":"#/components/schemas/MetricAggregationType"},"displayType":{"$ref":"#/components/schemas/MetricDisplayType"},"interpolateGaps":{"type":"boolean","default":false},"lockYAxisMax":{"type":"number","format":"double"},"lockYAxisMin":{"type":"number","format":"double"},"mouseOverDecimal":{"maximum":6,"minimum":0,"type":"number","format":"int32"},"showValuesOnMouseOver":{"type":"boolean","default":false},"unitLabel":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricAggregationType":{"type":"string","enum":["AVG","SUM","MIN","MAX","LAST"]},"MetricDisplayType":{"type":"string","enum":["GRAPH","SINGLE"]},"StatusPageStructure":{"type":"object","properties":{"elements":{"type":"array","items":{"$ref":"#/components/schemas/StatusPageElement"}}},"description":"This field is not available in the list resource. Describes the structure of a status page. Allows for nesting children. It is not required unless groups are used."},"StatusPageElement":{"required":["id","type"],"type":"object","properties":{"id":{"type":"integer","description":"The id of the service or group that this element references","format":"int64"},"type":{"type":"string","enum":["SERVICE","GROUP"]},"options":{"type":"string","description":"Note: 'expand' can only be set when type is 'SERVICE', 'no-graph' can only be set when type is 'GROUP'","enum":["expand","no-graph"]},"children":{"type":"array","description":"Optional children of this element. Note: children may only be added to elements of type 'GROUP'","items":{"$ref":"#/components/schemas/StatusPageElement"}}}}}},"paths":{"/status-pages":{"post":{"tags":["Status Pages"],"summary":"Create a new status page.","requestBody":{"description":"the status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageNoIncludes"}}},"required":true},"responses":{"200":{"description":"The newly created status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageNoIncludes"}}}}}}}}}
```

## GET /status-pages/{id}

> Get a specific status page.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPage":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"domain":{"type":"string"},"subdomain":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"faviconUrl":{"type":"string"},"logoUrl":{"type":"string"},"visibility":{"type":"string","enum":["PRIVATE","PUBLIC"]},"hiddenFromSearch":{"type":"boolean"},"showSubscribeAction":{"type":"boolean"},"showIncidentHistoryOption":{"type":"boolean"},"pageTitle":{"type":"string"},"pageDescription":{"type":"string"},"pageLayout":{"type":"string","enum":["SINGLE_COLUMN","RESPONSIVE"]},"logoRedirectUrl":{"type":"string"},"activated":{"type":"boolean"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"services":{"type":"array","items":{"$ref":"#/components/schemas/ServiceUptimeOnly"}},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/MetricNoIncludes"}},"ipWhitelist":{"type":"array","description":"ipv4 or ipv6 addresses to give access to. Can only be set on 'PRIVATE' status pages","items":{"type":"string"}},"structure":{"$ref":"#/components/schemas/StatusPageStructure"},"subscribed":{"type":"boolean","description":"This is an include field, it is not available in the list resource","readOnly":true},"groups":{"type":"array","description":"This is an include field, it is not available in the list resource. Read-only, use the sub resource to manipulate groups.","readOnly":true,"items":{"$ref":"#/components/schemas/StatusPageGroup"}},"appearance":{"type":"string","enum":["LIGHT","DARK"]},"announcement":{"type":"string","description":"This is an include field, it is not available in the list resource"},"announcementOnPage":{"type":"boolean","description":"If the announcement should be displayed on the status page"},"announcementInWidget":{"type":"boolean","description":"If the announcement should be displayed in the popup widget"},"audienceSpecific":{"type":"boolean","default":false,"description":"If a private status page should move into audience specific mode"}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ServiceUptimeOnly":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"uptime":{"$ref":"#/components/schemas/ServiceUptime"}}},"ServiceUptime":{"type":"object","properties":{"rangeStart":{"type":"string","format":"date-time"},"rangeEnd":{"type":"string","format":"date-time"},"outages":{"type":"array","items":{"$ref":"#/components/schemas/ServiceOutage"}},"uptimePercentage":{"$ref":"#/components/schemas/ServiceUptimePercentage"}}},"ServiceOutage":{"type":"object","properties":{"status":{"$ref":"#/components/schemas/ServiceStatus"},"from":{"type":"string","format":"date-time"},"until":{"type":"string","format":"date-time"}}},"ServiceUptimePercentage":{"type":"object","properties":{"uptimePercentage":{"type":"object","properties":{"p90":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p60":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true},"p30":{"maximum":100,"minimum":0,"type":"number","format":"float","readOnly":true}}}}},"MetricNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"aggregationType":{"$ref":"#/components/schemas/MetricAggregationType"},"displayType":{"$ref":"#/components/schemas/MetricDisplayType"},"interpolateGaps":{"type":"boolean","default":false},"lockYAxisMax":{"type":"number","format":"double"},"lockYAxisMin":{"type":"number","format":"double"},"mouseOverDecimal":{"maximum":6,"minimum":0,"type":"number","format":"int32"},"showValuesOnMouseOver":{"type":"boolean","default":false},"unitLabel":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricAggregationType":{"type":"string","enum":["AVG","SUM","MIN","MAX","LAST"]},"MetricDisplayType":{"type":"string","enum":["GRAPH","SINGLE"]},"StatusPageStructure":{"type":"object","properties":{"elements":{"type":"array","items":{"$ref":"#/components/schemas/StatusPageElement"}}},"description":"This field is not available in the list resource. Describes the structure of a status page. Allows for nesting children. It is not required unless groups are used."},"StatusPageElement":{"required":["id","type"],"type":"object","properties":{"id":{"type":"integer","description":"The id of the service or group that this element references","format":"int64"},"type":{"type":"string","enum":["SERVICE","GROUP"]},"options":{"type":"string","description":"Note: 'expand' can only be set when type is 'SERVICE', 'no-graph' can only be set when type is 'GROUP'","enum":["expand","no-graph"]},"children":{"type":"array","description":"Optional children of this element. Note: children may only be added to elements of type 'GROUP'","items":{"$ref":"#/components/schemas/StatusPageElement"}}}},"StatusPageGroup":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"paths":{"/status-pages/{id}":{"get":{"tags":["Status Pages"],"summary":"Get a specific status page.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"include","in":"query","description":"Describes optional properties that should be included in the response. You may declare multiple. (subscribed, uptime, groups, structure). Note: structure is always included by default.","style":"form","explode":true,"schema":{"type":"array","items":{"type":"string","enum":["subscribed","uptime","groups","structure"]}}}],"responses":{"200":{"description":"The requested status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPage"}}}}}}}}}
```

## PUT /status-pages/{id}

> Update the specific status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"domain":{"type":"string"},"subdomain":{"type":"string"},"timezone":{"$ref":"#/components/schemas/TimeZone"},"faviconUrl":{"type":"string"},"logoUrl":{"type":"string"},"visibility":{"type":"string","enum":["PRIVATE","PUBLIC"]},"hiddenFromSearch":{"type":"boolean"},"showSubscribeAction":{"type":"boolean"},"showIncidentHistoryOption":{"type":"boolean"},"pageTitle":{"type":"string"},"pageDescription":{"type":"string"},"pageLayout":{"type":"string","enum":["SINGLE_COLUMN","RESPONSIVE"]},"logoRedirectUrl":{"type":"string"},"activated":{"type":"boolean"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}},"services":{"type":"array","items":{"$ref":"#/components/schemas/ServiceNoIncludes"}},"metrics":{"type":"array","items":{"$ref":"#/components/schemas/MetricNoIncludes"}},"ipWhitelist":{"type":"array","description":"ipv4 or ipv6 addresses to give access to. Can only be set on 'PRIVATE' status pages","items":{"type":"string"}},"structure":{"$ref":"#/components/schemas/StatusPageStructure"},"appearance":{"type":"string","enum":["LIGHT","DARK"]}}},"TimeZone":{"type":"string","enum":["Europe/Berlin","America/New_York","America/Los_Angeles","Asia/Istanbul"]},"ServiceStatus":{"type":"string","description":"the service status","enum":["OPERATIONAL","UNDER_MAINTENANCE","DEGRADED","PARTIAL_OUTAGE","MAJOR_OUTAGE"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}},"ServiceNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"alias":{"type":"string"},"status":{"$ref":"#/components/schemas/ServiceStatus"},"description":{"type":"string"},"oneOpenIncidentOnly":{"type":"boolean"},"showUptimeHistory":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricNoIncludes":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"aggregationType":{"$ref":"#/components/schemas/MetricAggregationType"},"displayType":{"$ref":"#/components/schemas/MetricDisplayType"},"interpolateGaps":{"type":"boolean","default":false},"lockYAxisMax":{"type":"number","format":"double"},"lockYAxisMin":{"type":"number","format":"double"},"mouseOverDecimal":{"maximum":6,"minimum":0,"type":"number","format":"int32"},"showValuesOnMouseOver":{"type":"boolean","default":false},"unitLabel":{"type":"string"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"MetricAggregationType":{"type":"string","enum":["AVG","SUM","MIN","MAX","LAST"]},"MetricDisplayType":{"type":"string","enum":["GRAPH","SINGLE"]},"StatusPageStructure":{"type":"object","properties":{"elements":{"type":"array","items":{"$ref":"#/components/schemas/StatusPageElement"}}},"description":"This field is not available in the list resource. Describes the structure of a status page. Allows for nesting children. It is not required unless groups are used."},"StatusPageElement":{"required":["id","type"],"type":"object","properties":{"id":{"type":"integer","description":"The id of the service or group that this element references","format":"int64"},"type":{"type":"string","enum":["SERVICE","GROUP"]},"options":{"type":"string","description":"Note: 'expand' can only be set when type is 'SERVICE', 'no-graph' can only be set when type is 'GROUP'","enum":["expand","no-graph"]},"children":{"type":"array","description":"Optional children of this element. Note: children may only be added to elements of type 'GROUP'","items":{"$ref":"#/components/schemas/StatusPageElement"}}}}}},"paths":{"/status-pages/{id}":{"put":{"tags":["Status Pages"],"summary":"Update the specific status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"the status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageNoIncludes"}}},"required":true},"responses":{"200":{"description":"The updated status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageNoIncludes"}}}}}}}}}
```

## DELETE /status-pages/{id}

> Remove a specific status page.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/status-pages/{id}":{"delete":{"tags":["Status Pages"],"summary":"Remove a specific status page.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```

## GET /status-pages/{id}/groups

> Get the groups of a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageGroup":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"paths":{"/status-pages/{id}/groups":{"get":{"tags":["Status Pages"],"summary":"Get the groups of a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"The groups of the status page","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StatusPageGroup"}}}}}}}}}}
```

## POST /status-pages/{id}/groups

> Add a group to a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageGroup":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"paths":{"/status-pages/{id}/groups":{"post":{"tags":["Status Pages"],"summary":"Add a group to a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"Group that should be added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageGroup"}}},"required":true},"responses":{"201":{"description":"The created group","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageGroup"}}}}}}}}}
```

## GET /status-pages/{id}/groups/{group-id}

> Get a specific group of a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageGroup":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"paths":{"/status-pages/{id}/groups/{group-id}":{"get":{"tags":["Status Pages"],"summary":"Get a specific group of a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"group-id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The group of the status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageGroup"}}}},"404":{"description":"The group does not exist","content":{}}}}}}}
```

## PUT /status-pages/{id}/groups/{group-id}

> Update a group of a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"StatusPageGroup":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"}}}}},"paths":{"/status-pages/{id}/groups/{group-id}":{"put":{"tags":["Status Pages"],"summary":"Update a group of a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"group-id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"Group that should be updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageGroup"}}},"required":true},"responses":{"200":{"description":"The updated group of the status page","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StatusPageGroup"}}}}}}}}}
```

## DELETE /status-pages/{id}/groups/{group-id}

> Remove group from a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/status-pages/{id}/groups/{group-id}":{"delete":{"tags":["Status Pages"],"summary":"Remove group from a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"group-id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"the response","content":{}}}}}}}
```

## GET /status-pages/{id}/private-subscribers

> Get the subscribers (users and teams) of a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/status-pages/{id}/private-subscribers":{"get":{"tags":["Status Pages"],"summary":"Get the subscribers (users and teams) of a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The subscribers of the status page","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}}}}}}}}
```

## POST /status-pages/{id}/private-subscribers

> Add subscriber (user and team) to a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/status-pages/{id}/private-subscribers":{"post":{"tags":["Status Pages"],"summary":"Add subscriber (user and team) to a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"subscriber that should be added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TeamUserOption"}}},"required":true},"responses":{"204":{"description":"the response","content":{}}}}}}}
```

## Set subscribers (users and teams) of a status page

> Note: this is an in place update

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"TeamUserOption":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"type":{"type":"string","enum":["USER","TEAM"]}}}}},"paths":{"/status-pages/{id}/private-subscribers":{"put":{"tags":["Status Pages"],"summary":"Set subscribers (users and teams) of a status page","description":"Note: this is an in place update","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"subscribers that should be adjusted","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TeamUserOption"}}}},"required":true},"responses":{"204":{"description":"the response","content":{}}}}}}}
```

## DELETE /status-pages/{id}/private-subscribers/{subscriber-id}

> Remove subscriber (user and team) from a status page

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Status Pages"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/status-pages/{id}/private-subscribers/{subscriber-id}":{"delete":{"tags":["Status Pages"],"summary":"Remove subscriber (user and team) from a status page","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"subscriber-id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}},{"name":"subscriber-type","in":"query","description":"the type of subscriber USER or TEAM","required":true,"schema":{"type":"string","enum":["USER","TEAM"]}}],"responses":{"204":{"description":"the response","content":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/status-pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
